unit aboutform;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, jpeg, ExtCtrls, CM2PlugInTypes, CM2MMRB, FileVersion;

type
  TAboutdlg = class(TForm)
    Timer1: TTimer;
    Image1: TImage;
    Shape1: TShape;
    ScrollBox1: TScrollBox;
    Memo1: TMemo;
    Label1: TLabel;
    Panel1: TPanel;
    Panel2: TPanel;
    Label2: TLabel;
    Label3: TLabel;
    fv: TFileVersion;
    Procedure Execute;
    procedure FormClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Label3Click(Sender: TObject);
  private
  public
    { Public declarations }
  end;

var
  Aboutdlg: TAboutdlg;

implementation

uses Unit1;

{$R *.dfm}

{ TForm4 }

Procedure TAboutdlg.Execute;
begin
 Randomize;
 Memo1.Top := Scrollbox1.Height;
 Timer1.Enabled := true;
 Label3.Caption := CM2MainForm.GenerateTagLine;
 Showmodal;
 Timer1.Enabled := false;
end;

procedure TAboutdlg.FormClick(Sender: TObject);
begin
 self.ModalResult := mrOk;
end;

procedure TAboutdlg.Timer1Timer(Sender: TObject);
begin
 Memo1.Top := Memo1.Top - 1;
 If Memo1.Top <= 0 - Memo1.Height Then memo1.Top := Scrollbox1.Height;
 Memo1.Update;
end;

procedure TAboutdlg.FormCreate(Sender: TObject);
begin
 fv.Filename := application.ExeName;
 Label1.Caption := 'Program [' + fv.FileVersion + '] | Core Software [' + CM2MMRB.WordToStr(CoreVersion) + ']';
end;

procedure TAboutdlg.Label3Click(Sender: TObject);
begin
 Label3.Caption := CM2MainForm.GenerateTagLine;
end;

end.
